<?php 

  // include("seguridad.php");

 session_start();

 include 'conexion.php';

 date_default_timezone_set('America/Argentina/Buenos_Aires');

 $hoy = date("Y-m-d"); 

 $id_empresa = $_SESSION["s_empresa"];

 $nombre = $_SESSION["s_nombre"];

 $usuario = $_SESSION["s_usuario"];

 $sql = "select * from com_empresas where id_empresa = '$id_empresa'";

$query = mysqli_query($coneccion ,  $sql);

$row = mysqli_fetch_array($query);

 
if ($row >= 1)

 {

  $s_municipio = $row['id_municipio']; 

 }


 $sql2 = "select * from com_municipios where id_municipio = '$s_municipio'";

$query2 = mysqli_query($coneccion ,  $sql2);

$row2 = mysqli_fetch_array($query2);

 if ($row2 >= 1)

 {

  $s_municipio = $row2['id_municipio']; 

 }
  

// Esto se agrega para revisar si tienen N/C 06/05/2022

 $sql3 = "Select id_nota_credito, saldo as total from notas_creditos where id_empresa = '$id_empresa'  and activo and saldo > 0";
 
 //'echo $sql3;
 //exit;
 $query3 = mysqli_query($coneccion ,  $sql3);
  $i = 0;
  $total_nc = 0;
  $notas_creditos = [];
 $Registros = mysqli_num_rows($query3);
  if ($Registros > 0) {
    while ($data = mysqli_fetch_array($query3))  {  
      //funciona
      //$registro = array($data["id_nota_credito"]=>$data["total"]);    
      //array_push($notas_creditos, $registro);    


      //este tambien funciona
	  $i += 1;
      $notas_creditos[$data["id_nota_credito"]] = $data["total"];   
      $total_nc += $data['total']; 
    }
  } 

//foreach($notas_creditos as $key => $value)
//{
//  echo $key;  echo 'Id: '.$key .' Importe: '.$notas_creditos[$key]. '  ';
//}

  
 // print_r($notas_creditos);
 // exit();

    if($total_nc >0){
      echo '<script language="javascript">alert("Tiene Una Nota de Credito de : $ '.$total_nc.' ");</script>' ;  
    }
    else{
        $total_nc = 0;  
        $id_nota_credito = 0; 
      //  echo '<script language="javascript">alert("No tiene N/C ");</script>' ;
    }  
 

 mysqli_close($coneccion);



?>



<html>

<head>

<title>Formulario Cecposadas.com.ar</title>

<meta charset="utf-8">

<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<link href="styles/fondo_text.css" rel="stylesheet" type="text/css">

<script src='scripts/jquery-1.4.1.min.js'></script>

<script src='scripts/alta_formulario.js'></script>


<style type="text/css">

<!--

body {

	background-image: url(images/fondo.jpg);

}


.Tablita {
  border: #b2b2b2 1px solid;
}   

.formulario input[type='submit']{

	border: 1px solid #CED5D7;

	box-shadow:0 0 0 3px #EEF5F7;

	padding: 8px 16px;

	border-radius: 20px;

	font-weight: bold;

	text-shadow: 1px 1px 0px white;

	

	background: #e4f1f6; 

	background: -moz-linear-gradient(top, #e4f1f6 0%, #cfe6ef 100%);

	background: -webkit-linear-gradient(top, #e4f1f6 0%,#cfe6ef 100%); 

}

.formulario input[type='submit']:hover{

	background: #edfcff; 

	background: -moz-linear-gradient(top, #edfcff 0%, #cfe6ef 100%);

	background: -webkit-linear-gradient(top, #edfcff 0%,#cfe6ef 100%); 

}

.formulario input[type='submit']:active{

	background: #cfe6ef; 

	background: -moz-linear-gradient(top, #cfe6ef 0%, #edfcff 100%);

	background: -webkit-linear-gradient(top, #cfe6ef 0%,#edfcff 100%);

}

.error{

	background-color: #BC1010;

	padding: 6px 12px;

	border-radius: 4px;

	color: white;

	font-weight: bold;

	margin-left: 16px;

	margin-top: 6px;

	position: absolute;

}

.error:before{

	content: '';

    border-top: 8px solid transparent;

    border-bottom: 8px solid transparent;

    border-right: 8px solid #BC1010;

    border-left: 8px solid transparent;

    left: -16px;

    position: absolute;

    top: 5px;

}



.mes {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:200px; margin-right:20px; margin-left:10px;

}

.banco {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:200px; margin-right:20px; margin-left:10px;

}

.lugar_pago {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:200px; margin-right:20px; margin-left:10px;

}

.total_remu {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:140px; margin-right:20px; margin-left:10px;

}

.anio {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:100px; margin-right:20px; margin-left:10px;

}

.total_emp {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:70px; margin-right:20px; margin-left:10px;

}

.boton_enviar{
  font-size: 12pt;
  background-color: #056399;
  padding: 10px;
  color: #FFF;
  letter-spacing: 1px; 
  border-radius: 25px;
  cursor: pointer;
  margin: 15px auto; 
}

.boton_regresar{
  font-size: 12pt;
  background-color: #056399;
  padding: 5px;
  color: #FFF;
  letter-spacing: 1px; 
  border-radius: 25px;
  cursor: pointer;
  margin: 15px auto; 
}
-->

</style>



<script type="text/javascript"> 

function habilitar(obj) { 

  var hab; 

  frm=obj.form; 

  num=obj.selectedIndex; 

  if (num==1) hab=true;

  else if (num==2) OR (num==3) hab=false; 

  frm.banco_pago.disabled=hab; 

  frm.cheque_pago.disabled=hab; 

} 

</script> 



<script type="text/javascript"> 

function number_format(amount, decimals) {



    amount += ''; // por si pasan un numero en vez de un string

    amount = parseFloat(amount.replace(/[^0-9\.]/g, '')); // elimino cualquier cosa que no sea numero o punto



    decimals = decimals || 0; // por si la variable no fue fue pasada



    // si no es un numero o es igual a cero retorno el mismo cero

    if (isNaN(amount) || amount === 0) 

        return parseFloat(0).toFixed(decimals);



    // si es mayor o menor que cero retorno el valor formateado como numero

    amount = '' + amount.toFixed(decimals);



    var amount_parts = amount.split('.'),

        regexp = /(\d+)(\d{3})/;



    while (regexp.test(amount_parts[0]))

        amount_parts[0] = amount_parts[0].replace(regexp, '$1' + ',' + '$2');



    return amount_parts.join('.');

}

</script> 



<script languaje="text/javascript">

function Evaluacampos(){

 <!---- if(document.getElementById('total_remu').value==""){

 <!----  document.getElementById('total_remu').value=0;

 <!---- }else{

 <!----  document.getElementById('total_remu').value=document.getElementById('total_remu').value.replace(",",".");

 <!---- } ----->

 
 document.getElementById('cant_art_100').value= document.getElementById('total_emp').value ;
 

 if(document.getElementById('total_remu').value==""){

  document.getElementById('total_remu').value=0;

 }else{

  document.getElementById('total_remu').value=document.getElementById('total_remu').value.replace(",",".");

 }

 

 if(document.getElementById('imp_otros_aportes').value==""){

  document.getElementById('imp_otros_aportes').value=0;

 }else{

  document.getElementById('imp_otros_aportes').value=document.getElementById('imp_otros_aportes').value.replace(",",".");

 }



 if(document.getElementById('art_100').value==""){

  document.getElementById('art_100').value=0;

 }else{

  document.getElementById('art_100').value=number_format(document.getElementById('art_100').value.replace(",","."), 2);

  

 }

 

 if(document.getElementById('total_art_101_porciento').value==""){

  document.getElementById('total_art_101_porciento').value=0;

 }else{

  document.getElementById('total_art_101_porciento').value=number_format(document.getElementById('total_art_101_porciento').value.replace(",","."), 2);  
 }

 if(document.getElementById('imp_credito').value==""){

  document.getElementById('imp_credito').value=0;

 }else{
  //document.getElementById('imp_credito').value=number_format(document.getElementById('imp_credito').value.replace(",","."), 2); 
 }



 if(document.getElementById('total_pagar').value==""){

  document.getElementById('total_pagar').value=0;
  
 }else{

  document.getElementById('total_pagar').value=number_format(document.getElementById('total_pagar').value.replace(",","."), 2);



  //document.getElementById('total_pagar').value=document.getElementById('total_pagar').value.replace(",",".");

  

 }
// aca se verifica que exista un mes 
if(document.getElementById('mes').value==""){

   alert("Falta Seleccionar el Mes");

 }


// aca calculamos el 2% Art. 100



 if(!isNaN(document.getElementById('total_remu').value)){

 document.getElementById('art_100').value= number_format((eval(parseFloat(document.getElementById('total_remu').value)/100)*2), 2).replace(/[^0-9\.]/g, '');

 }else{

  alert("Hay algún dato no numérico en los campos");

 }

 

// aca calculamos el 2% Art. 101



 if(!isNaN(document.getElementById('total_art_101').value)){

 document.getElementById('total_art_101_porciento').value=number_format((eval(parseFloat(document.getElementById('total_art_101').value)/100)*2), 2).replace(/[^0-9\.]/g, '');

  }else{

  alert("Hay algún dato no numérico en los campos");

 }

document.getElementById('total_pagar').value = "0.00";



 if(!isNaN(document.getElementById('art_100').value) && !isNaN(document.getElementById('total_art_101_porciento').value) && !isNaN(document.getElementById('imp_otros_aportes').value) &&  !isNaN

(document.getElementById('total_pagar').value)){

 //document.getElementById('total_pagar').value=eval(parseFloat(document.getElementById('art_100').value)+parseFloat(document.getElementById('total_art_101_porciento').value)+parseFloat(document.getElementById('imp_otros_aportes').value));

 document.getElementById('total_pagar').value=number_format(eval(parseFloat(document.getElementById('art_100').value)+parseFloat(document.getElementById('total_art_101_porciento').value)+parseFloat(document.getElementById('imp_otros_aportes').value) ), 2);
 }else{  alert("Hay algún dato no numérico en los campos");   }
 
 
document.getElementById('total_pagar').value =document.getElementById('total_pagar').value.replace(",","");

if(document.getElementById('art_100').value > 999999.99){
    document.getElementById('total_pagar').value =document.getElementById('total_pagar').value.replace(",","");
}

// alert("Total Suma:" + document.getElementById('total_pagar').value );



  if(document.getElementById('total_pagar').value > document.getElementById('imp_credito').value)
      {
        
        //alert("Sale por Mayor");
        document.getElementById('total_pagar').value = (document.getElementById('total_pagar').value -
        document.getElementById('imp_credito').value).toFixed(2);
       
        
      }else{  
        //alert("Sale por Menor");
        //alert(document.getElementById('total_pagar').value );
       // alert(document.getElementById('imp_credito').value );
       document.getElementById('total_pagar').value = (document.getElementById('total_pagar').value -
        document.getElementById('imp_credito').value).toFixed(2); 
     
         
       }

}




</script>

<script> 

  function cambiaradio(){     


  var combo = document.getElementById('lugar_pago');
   combo.length = 0; 
    var Selecciono = '';
    var notacredito = '';
    $("input[name=tipo_pago]").each(function (index) {  
       if($(this).is(':checked')){
          Selecciono = $(this).val();
       }
    });


 $("input[name=nota_credito]").each(function (index) {  
       if($(this).is(':checked')){
          notacredito = $(this).val();
       }
    });


    if (Selecciono == 1){      
      combo.options[0] = new Option("Banco Nacion ", 1);
      
    }
    if (Selecciono == 2){      
      combo.options[0] = new Option("Pago Facil", 2); 

      var elmes = document.getElementById('mes').value;
      var elanio = document.getElementById('anio').value;
      var fecha1 = ""; 
      var fecha2 = ""
      var mesesd = 0;
      if(document.getElementById('mes').value < 10){
        fecha1 = document.getElementById('anio').value + "-0"+ document.getElementById('mes') .value + "-01";

      }else{
        fecha1 = document.getElementById('anio').value +"-" + document.getElementById('mes').value +"-01";        
      }
      
      var hoy = new Date();    
      
      fecha2 =  hoy.getFullYear() + "-" + String(hoy.getMonth() + 1).padStart(2, '0') + "-01";
      
             
      var date_1 = new Date(fecha1);
      var date_2 = new Date(fecha2);

      var day_as_milliseconds = 86400000;
      var diff_in_millisenconds = date_2 - date_1;
      var diferencia = diff_in_millisenconds / day_as_milliseconds;
      

      if (diferencia > 341){
        alert("Atencion En Pago facil NO se Puede Hacer un Comprobante de mas de 1 año de Antiguedad"); combo.options[0] = new Option("Seleccione una Opción", 0);        
      }

      //alert(diferencia);

      
         
   }
  if (Selecciono == 3){    
        
      combo.options[0] = new Option("Seleccione una Opción", 0);  
      combo.options[1] = new Option("Banco Nacion", 1);
      combo.options[2] = new Option("Banco Macro", 3);    
   }
   if (Selecciono == 4){   
      combo.options[0] = new Option("Seleccione una Opción", 0);     
      combo.options[1] = new Option("Banco Nacion", 1);
      combo.options[2] = new Option("Banco Macro", 3);    
   }

};



</script>





</head>

<body onLoad="document.formulario.mes.focus();">

<? 

 date_default_timezone_set('America/Argentina/Buenos_Aires');

?> 

<div align="center" style="padding-top:15px"></div>

<div align="center">

<div align="center" style="width:920px; background-color:#FFFFFF;">

<div align="center" style="padding-top:15px"></div>

      <h2 class="texto_azul_24">Emisión de Comprobante de Depósito</h2>

      <form id = "formulario" name="formulario" method='post' action="registro_formulario.php" enctype='multipart/form-data'>
                    <!-- action='registro_formulario.php' -->  

	
   

  <table width="910" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">

  		<tr>

    		<td width="182" height="35" align="right" valign="middle" class="texto_azul_14">Empresa: 		  </td>

  		    <td width="80" align="left" valign="center"><input name='id_empresa' type='text' class="fondo_text_70" value="<?php echo $id_empresa;?>" readonly></td>

          <td width="600" align="left" valign="middle"><input name='empresa' type='text' class="fondo_text_320" value="<?php echo $nombre;?>" readonly>

            <span class="texto_azul_14">CUIT:

            <input name='cuit' type='text' class="fondo_text_190" id="cuit" value="<?php echo $usuario;?>" readonly>

            </span> 
          </td>


  		</tr>

  		<tr valign="middle">

  		  <td height="35" align="right" class="texto_azul_14">Municipio: </td>

	      <td align="left" valign="middle"><input name='id_municipio' type='text' class="fondo_text_70" value="<?php echo $s_municipio;?>" readonly></td>

	      <td align="left" valign="middle"><input name='municipio' type='text' class="fondo_text_320" value="<?php echo $n_municipio;?>" readonly></td>

	  </tr>

  		<tr valign="middle">

  		  <td height="35" align="right" class="texto_azul_14">Mes: </td>

	      <td colspan="2" align="left" valign="middle">

		  	<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">

				<tr align="left">

					<td width="30%" height="35" valign="middle">

						<SELECT NAME="mes" SIZE=1 class="mes" id="mes" onchange="Buscar(this) , cambiaradio()">  

							<OPTION VALUE="0">Seleccione una Opción</OPTION>

							<OPTION VALUE="1">Enero</OPTION>

							<OPTION VALUE="2">Febrero</OPTION>

							<OPTION VALUE="3">Marzo</OPTION>

							<OPTION VALUE="4">Abril</OPTION> 

							<OPTION VALUE="5">Mayo</OPTION>

							<OPTION VALUE="6">Junio</OPTION>

							<OPTION VALUE="7">Julio</OPTION>

							<OPTION VALUE="8">Agosto</OPTION> 

							<OPTION VALUE="9">Septiembre</OPTION>

							<OPTION VALUE="10">Octubre</OPTION>

							<OPTION VALUE="11">Noviembre</OPTION>

							<OPTION VALUE="12">Diciembre</OPTION> 

						</SELECT> </td>

				    <td width="70%" valign="middle"><span class="texto_azul_14">Año:  </span>
            <input name= 'tipo_formulario' id='tipo_formulario' type="text" value = "1" hidden="true" >  
						<input name='anio' id ='anio'  type="number" class="anio" min="2010" max="2028" value='' onchange="Buscar(this) , cambiaradio()" > </td>

				</tr>

			</table>		  </td>

	  </tr>

  		<tr valign="middle">

  		  <td height="35" align="right" class="texto_azul_14">Cant.Empleados Aporte Art.100:</td>

          <td colspan="2" align="left" valign="middle"><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">

            <tr align="left">

              <td width="102" height="35" valign="middle">

			  	<input name='total_emp' type="number" class="total_emp" onChange="Evaluacampos();"  min="1" max="10000" id="total_emp">	 </td>

              <td width="145" valign="middle"><span class="texto_azul_14">Total Remuneración Art. 100: 

                </span></td>

              <td width="170" valign="middle"><input style="text-align:right;" name='total_remu' type='text' class="total_remu" onChange="Evaluacampos();" id="total_remu" value="0"></td>

              <td width="108" valign="middle">                 

              	<span class="texto_azul_14">2% Art. 100:  </span></td>

              <td width="210" valign="middle"><input style="text-align:right;" name="art_100"  type="text" class="fondo_text_140" id="art_100" onChange="Evaluacampos();" value="0.00" readonly>

                <span class="texto_bordo_12">(1)</span></td>

            </tr>

          </table></td>

	  </tr>

  		<tr valign="middle">

  		  <td height="35" align="right" class="texto_azul_14">Total Empleados:  </td>

          <td colspan="2" align="left" valign="middle"><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">

            <tr>

              <td width="102" height="35" align="left" valign="middle">

              	<input style="text-align:right;" readonly name='cant_art_100' type='text' class="fondo_text_70" id="cant_art_100" size="10"></td>

              <td width="145" align="left" valign="middle">		  

              </td>

              <td width="170" align="left" valign="middle">              

			  </td>

              <td width="108" align="left" valign="middle">&nbsp;</td>

              <td width="210" align="left" valign="middle">&nbsp;</td>

            </tr>

          </table></td>

	  </tr>

  		<tr valign="middle">

  		  <td height="35" align="right" class="texto_azul_14">Cant.Empleados Aporte Art. 101:</td>

          <td colspan="2" align="left" valign="middle"><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">

            <tr align="left">

              <td width="102" height="35" valign="middle">

              	<input style="text-align:right;" name='cant_art_101' type='text' class="fondo_text_70" id="cant_art_101"></td>

              <td width="145" valign="middle">

              	<span class="texto_azul_14">Total Remumeracion Art. 101:</span></td>

              <td width="170" valign="middle">

              	<input style="text-align:right;" name='total_art_101' type='text' class="fondo_text_140" id="total_art_101" onChange="Evaluacampos();" value="0"></td>

              <td width="110" valign="middle">

              	<span class="texto_azul_14">2% Art. 101:</span></td>

              <td width="210" valign="right">

              	<input style="text-align:right;" name='total_art_101_porciento' type='text' class="fondo_text_140" id="total_art_101_porciento"  onChange="Evaluacampos();" value="0.00" readonly>

                <span class="texto_bordo_12">(2)</span></td>

            </tr>

          </table></td>

	  </tr>

  		<tr valign="middle">
  		  <td height="35" align="right" class="texto_azul_14">Otros Aportes: </td>
          <td colspan="2" align="left" valign="middle">
            <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
            <tr align="left">
              <td width="380" height="35" valign="middle">
			  	    <input type="text" name="otros_aportes" class="fondo_text_300">
              </td>
              <td width="355" valign="middle">
                <span class="texto_azul_14">Importe Aporte Otros:</span>

			  	      <input style="text-align:right;" name='imp_otros_aportes' type='text' class="fondo_text_140" id="imp_otros_aportes"  onChange="Evaluacampos();" value="0.00"> <span class="texto_bordo_12">(3)</span>
              </td>
            </tr>
          </table>
        </td>

	  </tr>

<?  
       if($total_nc > 0 ){
                echo " 
       
      <tr valign='right'>
        <td height='35' align='right' class='texto_azul_14'> </td>
          <td colspan='2' align='left' valign='middle'>
          <table width='100%' border='0' align='center' cellpadding='0' cellspacing='0' bgcolor='#FFFFFF'>
            <tr align='left'>
              <td width='380' height='35' valign='middle'>
              <input 'name='vector_nc' type='hidden'id='vector_nc'value= serialize($notas_creditos)>
              </td>
         
              <td width='355' valign='right'>
                <span class='texto_azul_14'>Importe Nota Credito: </span>
               <input style='text-align:right;' name='imp_credito' type='text' class='fondo_text_140' id='imp_credito'  readonly value='$total_nc'> <span class='texto_bordo_12'>(4)</span>
         </table>          
         </td>        
        </tr>          
      </td>
    </tr>";
    foreach ($notas_creditos as $key => $value) {
    echo "<input name='notas_creditos[".$key. "]' type='hidden'id='notas_creditos'value=".$notas_creditos[$key].">";  
    }

    
    }else
      echo "<input style='text-align:right;' name='imp_credito' type='hidden'  id='imp_credito'  readonly value='$total_nc'> ";    
  

  ?>
   

  		<tr valign="right">
        <td height="35" align="right" class="texto_azul_14"></td>
          <td colspan="2" align="left" valign="middle">
      <table width="100%" border="0" align="right" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
            <tr align="right">              
                <td width="380" valign="middle"><span class="texto_azul_14Bold">Total a Pagar:</span>                
                <input style="text-align:right;" name='total_pagar' type='text' class="fondo_text_140" id="total_pagar" readonly>            

               <?  
                
                if($total_nc > 0 ){
                echo " <span class='texto_bordo_12'>(1+2+3-4)</span>";
                }else {
                echo " <span class='texto_bordo_12'>(1+2+3)</span>";
                }
                ?>            

              <span class="texto_azul_14"> </span>               

              </table>
              </td>
            </tr>
          </td>
    </tr>


  <table class="Tablita">
    <tr valign="middle">
       

        <td height="35" align="right"><span class="texto_azul_14Bold">FORMA DE PAGO: </span> </td>

          <td colspan="2" align="left" valign="middle">             
                <label class="radio-inline">
                <input type="radio"  id="tipo_pago" onclick="cambiaradio()" name="tipo_pago" value="3"><span class="texto_azul_14">Transferencia via CBU</span></label>
            
                <label class="radio-inline">
               <input type="radio"  id="tipo_pago" onclick="cambiaradio()" name="tipo_pago" value="2"><span class="texto_azul_14">Pago Facil</span></label>

               <label class="radio-inline">
                <input type="radio"  id="tipo_pago" onclick="cambiaradio()" name="tipo_pago" value="4"><span class="texto_azul_14">Deposito Cajero Automatico </span></label>
               
                <label class="radio-inline">
                <input type="radio" id="tipo_pago" onclick="cambiaradio()" name="tipo_pago" value="1"><span class="texto_azul_14">Ventanilla Bancaria</span></label>

               
        </td>          

      </tr> 
    </table>
    <table class="">
    <tr>
    </tr> 
    </table>
    
  		<tr valign="middle">       

  		  <td height="35" align="right"><span class="texto_azul_14">Lugar de Pago:</span></td>

          <td colspan="2" align="left" valign="middle">

		  		<select name="lugar_pago" id="lugar_pago" onChange="habilitar(this)"  class="lugar_pago"> 

					<option value="0">Seleccione una Opción</option>					 

			   </select>
          <span class="texto_azul_14">Banco:</span>
	  				

	  				<input name="banco_pago" type="text" class="fondo_text_180" /> 

					 <span class="texto_azul_14">Cheque:</span>

				    <input name="cheque_pago" type="text" class="fondo_text_130" />  

					<input type="hidden" name="hoy" value="<?php echo date("Y-m-d"); ?>" />		  </td>          

	     </tr>


  		<tr valign="middle">

  		  <td height="35" align="right"></td>

          <td colspan="2" align="left" valign="middle"></td>

	  </tr>
      <table class="">
      <tr>
      </tr> 
      </table>

  	<tr valign="middle">

  		  <td height="35" colspan="3" align="right">

          		<table width="100%" height="54" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">

		  <tr align="left">

			        <td width="68%" height="35" align="center" valign="middle" class="texto_bordo_12">Nota: La impresión de formulario, requiere únicamente hoja de tamaño OFICIO

			         <br> </br>Aclaración: Si elige pagar a travez de PagoFacil, la misma puede ser abonada via la App de MercadoPago </td>					

			      <td width="32%" align="center" valign="middle">             
                <input type="image" name="enviarform" src="images/enviar-formulario.png" width="180" height="38"  onclick = "Proceder(this)" />
                  <!--  class='boton_enviar'--  "Validar(this)"   -->

                    <br> </br>

                    
                    <a href="menu.php" target="_self"><img src="images/regresar2.png" width="180"  height="38" border="0"></a>

                     <br> </br>

            </td>

				</tr>

			</table>

          </td>

	    </tr>

	</table>

</form>

</div>

</div>	

</body>

</html>

<script>
  src="https://code.jquery.com/jquery-3.5.1.min.js"
  integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0="
  crossorigin="anonymous"></script>

<script type="text/javascript"> 
  function Proceder(opcion){ 
    var form = document.getElementById("formulario");
    var respuesta = true;
    form.onsubmit = function(e){

  if (respuesta == true){
      var cantiad101 = document.getElementById('cant_art_101').value; 
      
        
    }  
    

    if (respuesta == true){
    var mes =document.getElementById('mes').value;
    if (mes == 0){
        alert("Atencion Debe Seleccionar un Mes!!  ");  
        respuesta = false;
        } 
    }


    if (respuesta == true){
      var cantidad  = document.getElementById('total_emp').value;
      if (cantidad == 0){
          alert("Atencion la Cantidad de Empleados del Art 100 No puede ser cero ");  
          respuesta = false;
      }
    }
    

    if (respuesta== true){
      var total_100 = document.getElementById('total_remu').value
        if(total_100 == 0){
        alert("El total de Remuneraciones Art. 100 No Puede ser Cero (0) !!!! ");
        //document.getElementById("formulario").reset();
        respuesta = false;
        }
    }

    if (respuesta == true){
      var cantidad101 = document.getElementById('cant_art_101').value; 
      if(cantidad101 != 0){
        var total_101 =  document.getElementById('total_art_101').value;
        if(total_101 == 0){
          alert("Total Remumeracion Art. 101 No puede ser Cero (0) ");  
        }
     }
    }
    
    if (respuesta == true){
    var tipo_p2  = document.getElementById('lugar_pago').value;
      if (tipo_p2 == 0){
          alert("Atencion No Selecciono una Forma de Pago !!!  ");  
          respuesta = false;
      }
   }

    if (respuesta){
    }else{        
    e.preventDefault();
    }

    
    
  }

}


   

    function Buscar(opcion){    
      var m = document.getElementById('mes').value;
      var a = document.getElementById('anio').value;
      
      var e = "<?php echo $id_empresa; ?>"; 
      


       
      $.ajax({
          // metodo: puede ser POST, GET, etc
          type: 'POST',
          // la URL de donde voy a hacer la petición
          url:"buscar_pago.php",
          // los datos que voy a enviar
          data: { id: e, anio: a, mes: m },
          // si tuvo éxito la petición
        success: function(resultado) {
            if (resultado >= 1){
               var elije = confirm("Existe un Formulario Pagado, " + resultado +" Desea hacer una Rectificativa?")
               if (elije == true){
                  tipo_formulario.value = "2"; 
                  alert("Hace la Rectificativa");  
               }else{
               tipo_formulario.value = "1"; 
                location.reload(true); 
               } 
            }else{
              if(resultado == -1){
                  tipo_formulario.value = "1"; 
                  alert("Ya tiene Una Rectificativa Pagada, No se permite mas de una.!!");  
                  location.reload(true); 
              }else{
               tipo_formulario.value = "1"; 
            }
             }
          }
        })
      
        
    }
</script>

 

